aboutsummaryrefslogtreecommitdiff
path: root/snag/snagpkginfo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'snag/snagpkginfo.sh')
-rwxr-xr-xsnag/snagpkginfo.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/snag/snagpkginfo.sh b/snag/snagpkginfo.sh
new file mode 100755
index 0000000..bb80418
--- /dev/null
+++ b/snag/snagpkginfo.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# reads a package description script and outputs the attributes in a format easy
+# for the snag program to read. it does not do any other validation, and should
+# not be used by other programs
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 <description script>" >&2
+ exit 1
+fi
+
+# load the description script
+. $1
+
+# output package attributes (type char, value, null delimiter)
+echoatt() { [ -n "$2" ] && printf "$1$2\0"; }
+echoatt i "$pkg_id"
+echoatt n "$pkg_name"
+echoatt d "$pkg_desc"